Ticket #46171

Release 3.0.6

Eröffnet am: 2022-12-03 22:45 Letztes Update: 2023-02-04 06:37

Auswertung:
Verantwortlicher:
Typ:
Status:
Geschlossen
Komponente:
Meilenstein:
(Keine)
Priorität:
5 - Mittel
Schweregrad:
5 - Mittel
Lösung:
Gefixt
Datei:
Keine

Details

Some development threads on S3_0, after 3.0.5, towards 3.0.6. (Milestone: https://osdn.net/projects/freeciv/ticket/milestone/3604 )

- Improvements to metainfo
- Ongoing handling of clang analyzer warnings. (Report from a point where no more fixes to this expected to 3.0.5 lists 149 warnings for S3_0)
- "unused entry" -warnings from various datafiles, especially from savegames
- gcc-13, especially c2x (c23?) standard mode warnings (done)
- Clearing backlog from misc tickets

---

Blockers

- C23 build failures: #46306 (done), #46310 (done), #46367 (done), #46372 (done)
- Curl deprecation warnings: #46345 (done)
- Future Tech crash. Possibly recent regression: #46544 (avoided from 3.0.6 by postponing also the cause)
- Build failure for testmatic mode (regression since 3.0.5): #46551 (done)
- Qt-client crash with "-- --help", assumed regression since 3.0.3 ( #43873 ): #46660 (done)

Ticket-Verlauf (3/15 Historien)

2022-12-03 22:45 Aktualisiert von: cazfi
  • New Ticket "Release 3.0.6" created
2022-12-06 13:25 Aktualisiert von: cazfi
  • Details Updated
2022-12-18 18:01 Aktualisiert von: cazfi
  • Details Updated
2022-12-26 14:31 Aktualisiert von: cazfi
  • Details Updated
2022-12-27 12:25 Aktualisiert von: cazfi
  • Details Updated
2023-01-07 19:46 Aktualisiert von: cazfi
  • Details Updated
2023-01-16 14:18 Aktualisiert von: cazfi
  • Details Updated
2023-01-19 01:29 Aktualisiert von: cazfi
  • Details Updated
2023-01-20 08:08 Aktualisiert von: cazfi
  • Details Updated
2023-01-21 17:10 Aktualisiert von: cazfi
  • Details Updated
2023-01-23 12:15 Aktualisiert von: cazfi
  • Details Updated
2023-01-31 14:16 Aktualisiert von: cazfi
  • Details Updated
2023-02-03 04:02 Aktualisiert von: cazfi
  • Details Updated
2023-02-03 14:36 Aktualisiert von: None
Kommentar

- 3.0.6 tagged (S3_0 open for 3.0.7 development)
- Source tarballs uploaded
- Merged to flathub

----

Still in progress:

- Windows builds
- OpenEmbedded recipe update (testing build on various architectures)

2023-02-04 06:37 Aktualisiert von: cazfi
  • Status Update from Offen to Geschlossen
  • Verantwortlicher Update from (Keine) to cazfi
  • Lösung Update from Keine to Gefixt
Kommentar

Also Windows builds completed, and OpenEmbedded recipe pushed.

Dateianhangliste

Keine Anhänge

Bearbeiten

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Anmelden